/*
 * Copyright (c) 1994 Vectaport Inc., Cartoactive Systems
 *
 * Permission to use, copy, modify, distribute, and sell this software and
 * its documentation for any purpose is hereby granted without fee, provided
 * that the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the names of the copyright holders not be used in
 * advertising or publicity pertaining to distribution of the software
 * without specific, written prior permission.  The copyright holders make
 * no representations about the suitability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.
 *
 * THE COPYRIGHT HOLDERS DISCLAIM ALL WARRANTIES WITH REGARD TO THIS
 * SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS.
 * IN NO EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY SPECIAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING
 * FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,
 * NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION
 * WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 * 
 */

/* dlg view state */

#ifndef dlg_view_state_h
#define dlg_view_state_h

#include <MapUnidraw/mapviewstate.h>

class DlgFeatureClass;

class DlgViewState : public MapViewState {
public:
    DlgViewState (DlgFeatureClass*);

    virtual Graphic* themegs(MapFeature*) const;

protected:
    static Graphic* _default_gs;
    static Graphic* _none_gs;
    static Graphic* _wb_gs;
    static Graphic* _island_gs;
    static Graphic* _ice_gs;
    static Graphic* _district_gs;
    static Graphic* _city_gs;
    static Graphic* _natl_gs;
    static Graphic* _ind_gs;
    static Graphic* _mil_gs;
    static Graphic* _isroad_gs;
    static Graphic* _usroad_gs;
    static Graphic* _stroad_gs;
    static Graphic* _minroad_gs;
    static Graphic* _river_gs;
    static Graphic* _rr_gs;
};

#endif /* !defined(dlg_view_state_h) */
